/*********************************************************************
 *
 *                  SSL_Demo Header
 *
 *********************************************************************
 * FileName:        SSL_Demo.h
 * Processor:       PIC18F45K80
 * Compiler:        Microchip C18 v3.41
 * Company:         KIT - CN - IPE
 *
 * Author           Date         Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Reiling V.       11.07.2012   Release
 *********************************************************************/

#ifndef SSL_H      // To avoid duplicate inclusion
#define SSL_H


/*********************************************************************
 *
 * Include Files
 *
 ********************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <P18F45K80.h>
#include "BMS_MISRA.h"
#include "SSL_CpuRegisterTest.h"
#include "SSL_ProgCounterTest.h"
#include "SSL_CheckerBoardTest.h"
#include "SSL_MarchBRamTest.h"
#include "SSL_MarchCMinusRamTest.h"
#include "SSL_MarchCRamTest.h"
#include "SSL_Flash_CRC.h"



/*********************************************************************
 *
 * Typdefs
 *
 *********************************************************************/
typedef union _ClassB_Test_Flags
{
    struct
    {
        uint8_t cpuRegister_TestResult:1;
        uint8_t programCounter_TestResult:1;
        uint8_t checkerboardRam_TestResult:1;
        uint8_t marchBRam_TestResult:1;
        uint8_t marchCRam_TestResult:1;
        uint8_t marchCMinusRam_TestResult:1;
//        uint8_t marchCRamStack_TestResult:1;
        uint8_t flash_TestResult:1;
//        uint8_t clock_TestResult:1;
//        uint8_t clockLine_TestResult:1;
    };
} TESTFLAG;



/*********************************************************************
*
*                             Defines
*
*********************************************************************/
//#define CAN_Rx_ErrorCountMax   240u



/*********************************************************************
*
*                        Function Prototypes
*
*********************************************************************/
void  main                    ( void );

#endif
